//给Number类型增加   减法函数  
Number.prototype.sub = function(arg) {
	var l1 = this.toString().indexOf('.') > 0 ? this.toString().split(".")[1].length : 0,
		l2 = arg.toString().indexOf('.') > 0 ? arg.toString().split(".")[1].length : 0,
		pw = Math.pow(10, Math.max(l1, l2)),
		//动态控制精度长度  
		l = (l1 >= l2) ? l1 : l2;
	return Number(((this * pw - arg * pw) / pw).toFixed(l));
}

//给Number类型增加   加法函数  
Number.prototype.add = function(arg) {
	var l1 = this.toString().indexOf('.') > 0 ? this.toString().split(".")[1].length : 0,
		l2 = arg.toString().indexOf('.') > 0 ? arg.toString().split(".")[1].length : 0,
		pw = Math.pow(10, Math.max(l1, l2));
	return Number((arg * pw + pw * this) / pw);
};